package com.luooqi.ocr.utils;

import java.awt.Point;

import org.junit.Test;

public class OcrUtilsTest {

    String html = "{\"result\":[{\"groupID\":0,\"content\":\"目前，RFID(radio frequency identification\\n\",\"frame\":[\"537,11\",\"935,11\",\"935,41\",\"537,41\"]},{\"groupID\":1,\"content\":\"0引言\\n\",\"frame\":[\"23,22\",\"129,22\",\"129,54\",\"23,54\"]},{\"groupID\":2,\"content\":\"devices)技术、网络化信息管理及数据库技术在农\\n\",\"frame\":[\"496,43\",\"931,43\",\"931,65\",\"496,65\"]},{\"groupID\":3,\"content\":\"近年来，关于遗传育种的研究已从传统的常规\\n\",\"frame\":[\"64,68\",\"461,68\",\"461,93\",\"64,93\"]},{\"groupID\":2,\"content\":\"业领域的应用较广泛，三者相结合主要应用于农田\\n\",\"frame\":[\"496,68\",\"931,68\",\"931,93\",\"496,93\"]},{\"groupID\":2,\"content\":\"信息采集[9-12]、食品存储监测及安全跟踪[13-19]、畜\\n\",\"frame\":[\"499,94\",\"931,94\",\"931,121\",\"499,121\"]},{\"groupID\":3,\"content\":\"育种技术进入依靠生物技术育种阶段，研究内容也\\n\",\"frame\":[\"28,94\",\"460,94\",\"460,121\",\"28,121\"]},{\"groupID\":2,\"content\":\"禽养殖监测[20-2]等方面。关于采用编码的方法结合\\n\",\"frame\":[\"499,125\",\"931,125\",\"931,149\",\"499,149\"]},{\"groupID\":3,\"content\":\"从单个基因的测序转为有计划、大规模地检测水稻\\n\",\"frame\":[\"25,125\",\"460,125\",\"460,148\",\"25,148\"]},{\"groupID\":3,\"content\":\"等重要生物体的基因图谱。要实现水稻分子遗传育\\n\",\"frame\":[\"25,150\",\"460,150\",\"460,175\",\"25,175\"]},{\"groupID\":2,\"content\":\"数据库技术对农业中的动、植物进行标识、溯源和\\n\",\"frame\":[\"497,155\",\"929,155\",\"929,177\",\"497,177\"]},{\"groupID\":2,\"content\":\"建模方面的研究也有报道[242]。其在农作物育种方\\n\",\"frame\":[\"500,178\",\"929,178\",\"929,203\",\"500,203\"]},{\"groupID\":3,\"content\":\"种的目标，首要任务是了解、选择群体细胞的生理\\n\",\"frame\":[\"25,181\",\"460,181\",\"460,204\",\"25,204\"]},{\"groupID\":3,\"content\":\"生化特性以及与之相对应的表型现象，也就是要确\\n\",\"frame\":[\"25,207\",\"461,207\",\"461,232\",\"25,232\"]},{\"groupID\":2,\"content\":\"面的研究则主要涉及育种参数统计分析，育种遗传\\n\",\"frame\":[\"496,211\",\"931,211\",\"931,235\",\"496,235\"]},{\"groupID\":2,\"content\":\"过程的计算机数学模型，农作物育种专家系统，种\\n\",\"frame\":[\"496,237\",\"931,237\",\"931,262\",\"496,262\"]},{\"groupID\":3,\"content\":\"定植物群体实际基因或基因片段的表达与表型现\\n\",\"frame\":[\"25,237\",\"461,237\",\"461,262\",\"25,262\"]},{\"groupID\":3,\"content\":\"象的内在关联程度1一]。高通量的水稻种植试验成为\\n\",\"frame\":[\"25,263\",\"460,263\",\"460,288\",\"25,288\"]},{\"groupID\":2,\"content\":\"质资源数据库和育种信息管理等方面。由于长期以\\n\",\"frame\":[\"499,267\",\"931,267\",\"931,291\",\"499,291\"]},{\"groupID\":2,\"content\":\"来农作物育种信息采用人工方式记录管理，在育种\\n\",\"frame\":[\"499,293\",\"931,293\",\"931,318\",\"499,318\"]},{\"groupID\":3,\"content\":\"表型现象验证的重要手段。大规模、高效率的分子\\n\",\"frame\":[\"25,293\",\"461,293\",\"461,318\",\"25,318\"]},{\"groupID\":3,\"content\":\"遗传育种技术试验平台是实现高通量分子遗传育\\n\",\"frame\":[\"25,319\",\"461,319\",\"461,345\",\"25,345\"]},{\"groupID\":2,\"content\":\"试验量不大时，信息管理需求方面的矛眉并未突显，\\n\",\"frame\":[\"496,324\",\"928,324\",\"928,347\",\"496,347\"]},{\"groupID\":2,\"content\":\"因此国内关于农作物育种信息管理和数据库方面的\\n\",\"frame\":[\"496,349\",\"931,349\",\"931,374\",\"496,374\"]},{\"groupID\":3,\"content\":\"种试验的关键环节。温、湿度自动调节的现代化温\\n\",\"frame\":[\"25,350\",\"460,350\",\"460,373\",\"25,373\"]},{\"groupID\":3,\"content\":\"室以及全自动化的水稻种植、栽培、输送、检测试\\n\",\"frame\":[\"25,377\",\"460,377\",\"460,400\",\"25,400\"]},{\"groupID\":2,\"content\":\"研究报导较少[283]。随着分子遗传育种试验的中信\\n\",\"frame\":[\"496,376\",\"931,376\",\"931,404\",\"496,404\"]},{\"groupID\":2,\"content\":\"息量的倍增，如何运用计算机技术对育种试验信息\\n\",\"frame\":[\"499,406\",\"931,406\",\"931,431\",\"499,431\"]},{\"groupID\":3,\"content\":\"验环境的建立是保证高通重分子遗传育种试验完\\n\",\"frame\":[\"25,407\",\"460,407\",\"460,430\",\"25,430\"]},{\"groupID\":3,\"content\":\"成的基础条件。\\n\",\"frame\":[\"25,433\",\"154,433\",\"154,456\",\"25,456\"]},{\"groupID\":2,\"content\":\"进行科学、高效的管理成为一个亟待解决的问题。\\n\",\"frame\":[\"498,435\",\"914,435\",\"914,459\",\"498,459\"]},{\"groupID\":4,\"content\":\"本文以高通量水稻种植试验为研究对象，在已\\n\",\"frame\":[\"535,462\",\"931,462\",\"931,487\",\"535,487\"]},{\"groupID\":5,\"content\":\"修订日期：2014-02-26\\n\",\"frame\":[\"197,487\",\"336,487\",\"336,504\",\"197,504\"]},{\"groupID\":6,\"content\":\"收稿日期：2013-04-13\\n\",\"frame\":[\"27,487\",\"164,487\",\"164,504\",\"27,504\"]},{\"groupID\":4,\"content\":\"有的温室水稻盆栽自动化输送设备基础上，结合\\n\",\"frame\":[\"499,489\",\"931,489\",\"931,517\",\"499,517\"]},{\"groupID\":7,\"content\":\"基金项目：中央高校基本科研业务费专项资金资助(2013PY052)：国\\n\",\"frame\":[\"27,511\",\"461,511\",\"461,527\",\"27,527\"]},{\"groupID\":4,\"content\":\"RFID技术、网络化信息管理及数据库技术，研究\\n\",\"frame\":[\"496,519\",\"934,519\",\"934,542\",\"496,542\"]},{\"groupID\":7,\"content\":\"家自然科学基金(61007058）\\n\",\"frame\":[\"27,530\",\"204,530\",\"204,549\",\"27,549\"]},{\"groupID\":4,\"content\":\"水稻的遗传育种试验中种植试验信息的管理方案，\\n\",\"frame\":[\"499,545\",\"922,545\",\"922,570\",\"499,570\"]},{\"groupID\":8,\"content\":\"作者简介：高云(1974一)，女(汉)，湖北鄂州，副教授，硕士，农\\n\",\"frame\":[\"27,554\",\"461,554\",\"461,570\",\"27,570\"]},{\"groupID\":8,\"content\":\"业智能检测与控制。武汉湖北省武汉市洪山区华中农业大学工学院，\\n\",\"frame\":[\"26,573\",\"455,573\",\"455,594\",\"26,594\"]},{\"groupID\":4,\"content\":\"针对水稻的突变体库的特点，提出了水稻种植试验\\n\",\"frame\":[\"496,576\",\"931,576\",\"931,599\",\"496,599\"]},{\"groupID\":9,\"content\":\"430070。Email:angelclouder@hotmail.com\\n\",\"frame\":[\"23,595\",\"284,595\",\"284,616\",\"23,616\"]},{\"groupID\":4,\"content\":\"家系可追溯的数据管理方法，实现水稻家系的自动\\n\",\"frame\":[\"499,603\",\"931,603\",\"931,626\",\"499,626\"]},{\"groupID\":10,\"content\":\"中国农业工程学会会员(E041700006M)\\n\",\"frame\":[\"27,621\",\"274,621\",\"274,637\",\"27,637\"]},{\"groupID\":4,\"content\":\"追溯和家系树的自动生成。该研究有效解决了高通\\n\",\"frame\":[\"496,632\",\"931,632\",\"931,655\",\"496,655\"]},{\"groupID\":11,\"content\":\"米通信作者：李小昱(1953一)，女(汉)，陕西西安，教授，博士生导\\n\",\"frame\":[\"26,639\",\"460,639\",\"460,660\",\"26,660\"]},{\"groupID\":4,\"content\":\"量下育种种植试验的信息量大、管理复杂的问题，\\n\",\"frame\":[\"499,658\",\"922,658\",\"922,682\",\"499,682\"]},{\"groupID\":11,\"content\":\"师，智能化检测技术。武汉湖北省武汉市洪山区华中农业大学工学院，\\n\",\"frame\":[\"25,664\",\"458,664\",\"458,680\",\"25,680\"]},{\"groupID\":12,\"content\":\"430070。Email:lixiaoyu@mail.hzau.edu.cn\\n\",\"frame\":[\"24,686\",\"280,686\",\"280,703\",\"24,703\"]},{\"groupID\":4,\"content\":\"提高了试验效率。对于其他与水稻相类似农作物育\\n\",\"frame\":[\"499,687\",\"931,687\",\"931,712\",\"499,712\"]},{\"groupID\":13,\"content\":\"中国农业工程学会高级会员(E041200068S）\\n\",\"frame\":[\"27,707\",\"297,707\",\"297,723\",\"27,723\"]}],\"success\":1,\"zly\":\"zly\",\"ocr_time\":1584.014892578125,\"id\":\"2274054490548600832\",\"lang\":\"zh-Chs\",\"direction\":0}";

    @Test
    public void sogouMobileOcr() {

    }

    private Point frameToPoint(String text){
        String[] arr = text.split(",");
        return new Point(Integer.valueOf(arr[0].trim()), Integer.valueOf(arr[1].trim()));
    }

    @Test
    public void sogouWebOcr() {

    }
}
